Package org.apache.nutch.util.domain

## Class TopLevelDomain

- java.lang.Object
- - org.apache.nutch.util.domain.DomainSuffix
  - - org.apache.nutch.util.domain.TopLevelDomain

-     public class TopLevelDomain
      extends DomainSuffix

  (From wikipedia) A top-level domain (TLD) is the last part of an Internet domain name; that is, the letters which follow the final dot of any domain name. For example, in the domain name `www.website.com`, the top-level domain is `com`.
  Author:
    Enis Soztutar <enis.soz.nutch@gmail.com>
  See Also:
    iana.org, Top-level_domain

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TopLevelDomain.Type` |

    - ### Nested classes/interfaces inherited from class org.apache.nutch.util.domain.DomainSuffix

      `DomainSuffix.Status`

  - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.util.domain.DomainSuffix

      `DEFAULT_BOOST, DEFAULT_STATUS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TopLevelDomain​(String domain, DomainSuffix.Status status, float boost, String countryName)` |
    `TopLevelDomain​(String domain, TopLevelDomain.Type type, DomainSuffix.Status status, float boost)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCountryName()` | Returns the country name if TLD is Country Code TLD
    `TopLevelDomain.Type` | `getType()` |

    - ### Methods inherited from class org.apache.nutch.util.domain.DomainSuffix

      `getBoost, getDomain, getStatus, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TopLevelDomain

          public TopLevelDomain​(String domain,
                                TopLevelDomain.Type type,
                                DomainSuffix.Status status,
                                float boost)

    - #### TopLevelDomain

          public TopLevelDomain​(String domain,
                                DomainSuffix.Status status,
                                float boost,
                                String countryName)

  - ### Method Detail

    - #### getType

          public TopLevelDomain.Type getType()

    - #### getCountryName

          public String getCountryName()

      Returns the country name if TLD is Country Code TLD
      Returns:
        country name or null